import { App } from 'vue';
import { createRouter, createWebHistory } from 'vue-router';
import nProgress from 'nprogress';
import { baseRoutes } from './base';
import 'nprogress/nprogress.css';

export const router = createRouter({
  history: createWebHistory('/'),
  routes: baseRoutes,
  strict: true,
  scrollBehavior: () => ({
    left: 0,
    top: 0
  })
})

router.beforeEach((to, from, next) => {
  nProgress.start()
  next()
})

router.afterEach(() => {
  nProgress.done()
})
export const setupRouter = (app: App) => {
  app.use(router)
}
