import { defineStore } from 'pinia';
import { RouteRecordRaw } from 'vue-router';

export const AppStore = defineStore('app', {
  state: () => ({
    isLoading: true,
    authRoutes: [] as RouteRecordRaw[]
  }),
  actions: {
    updateLoading(isLoading = false) {
      this.isLoading = isLoading
    },
    updateAuthRoutes(routes: RouteRecordRaw[]) {
      this.authRoutes = routes
    }
  }
})
